pydo.vpcs.create()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.vpcs.create(
body={
"name": "env.prod-vpc",
"description": "VPC for production environment",
"region": "nyc1",
...,
},
)Description
To create a VPC, send a POST request to /v2/vpcs specifying the attributes
in the table below in the JSON body.
Note: If you do not currently have a VPC network in a specific datacenter region, the first one that you create will be set as the default for that region. The default VPC for a region cannot be changed or deleted.
Parameters
namestring requiredExample:
env.prod-vpcThe name of the VPC. Must be unique and may only contain alphanumeric characters, dashes, and periods.
descriptionstring optionalExample:
VPC for production environmentA free-form text field for describing the VPC's purpose. It may be a maximum of 255 characters.
regionstring requiredExample:
nyc1The slug identifier for the region where the VPC will be created.
ip_rangestring optionalExample:
10.10.10.0/24The range of IP addresses in the VPC in CIDR notation. Network ranges cannot overlap with other networks in the same account and must be in range of private addresses as defined in RFC1918. It may not be smaller than
/28nor larger than/16. If no IP range is specified, a/20network range is generated that won't conflict with other VPC networks in your account.
Request Sample
Response Example
More Information
See /v2/vpcs in the API reference for additional detail on responses, headers, parameters, and more.